/**
 * HasSupport2.java
 *
 * File generated from the medication2::HasSupport2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration HasSupport2.
 *
 * 
 */

@XmlType(name = "HasSupport")
@XmlEnum
@XmlRootElement(name = "HasSupport2")
public enum HasSupport2 {
	@XmlEnumValue("SPRT")
	SPRT("SPRT"),
	@XmlEnumValue("SPRTBND")
	SPRTBND("SPRTBND");
	
	private final String value;

    HasSupport2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static HasSupport2 fromValue(String v) {
        for (HasSupport2 c: HasSupport2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
